//
#define		_S_SECTION_DISPLAY			_T("Display")
// Graphics section
#define		_S_KEY_ADAPTER				_T("AdapterOrdinal")
#define		_S_KEY_DEVICE				_T("DeviceType")
#define		_S_KEY_WIDTH				_T("ScreenWidth")
#define		_S_KEY_HEIGHT				_T("ScreenHeight")
#define		_S_KEY_FORMAT				_T("ScreenFormat")
#define		_S_KEY_REFRESHRATE			_T("RefreshRate")
#define		_S_KEY_BEHAVIOR				_T("DeviceBehavior")
#define		_S_KEY_FSAA					_T("FSAA")
#define		_S_KEY_MAGTEXTUREFILTER		_T("MagTextureFilter")	
#define		_S_KEY_MINTEXTUREFILTER		_T("MinTextureFilter")	
#define		_S_KEY_MIPTEXTUREFILTER		_T("MipTextureFilter")	
#define		_S_KEY_TEXDEPTH				_T("TextureFormat")
#define		_S_KEY_FPS					_T("FPS")
#define		_S_KEY_DESIREDFPS			_T("DesiredFPS")
#define		_S_KEY_WIREFRAME			_T("WireFrame")
#define		_S_KEY_VSYNC				_T("VSync")
#define		_S_KEY_WINDOWED				_T("Windowed")

#define		_S_KEY_SCROLLINGSPEED		_T("ScrollingSpeed")

#define		FLAG_FPS				0x0001
#define		FLAG_WINDOWED			0x0002
#define		FLAG_VERTEXSHADER		0x0004

#define		FPS_REFRESH_RATE 0.5f

#ifndef VERTEX_DEFINED
	struct VERTEX 
	{
		D3DXVECTOR3		vecPos;
		D3DXVECTOR3		vecNormal;
		DWORD			dwDiffuse;		
		float			tu1, tv1;		
	}; 
	#define VERTEX_DEFINED
#endif

#ifndef PIXEL_DEFINED
	struct PIXEL 
	{
		D3DXVECTOR3		vecPos;
		float			rhw;
		DWORD			dwDiffuse;		
	}; 
	#define PIXEL_DEFINED
#endif

#define		VERTEXFORMAT			D3DFVF_XYZ|D3DFVF_NORMAL|D3DFVF_TEX1|D3DFVF_DIFFUSE 
#define		PIXELFORMAT				D3DFVF_XYZRHW|D3DFVF_DIFFUSE 

#ifndef CV_DEFINED
	typedef struct _CLIPVOLUME
	{
		D3DXPLANE pLeft, pRight;
		D3DXPLANE pTop, pBottom;
		D3DXPLANE pNear, pFar;
	} CLIPVOLUME;
	#define CV_DEFINED
#endif

