// Cursor.h: interface for the CCursor class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

class XCursor : public ICursor
{
	BOOL				m_bInit;
	int					m_iWidth;
	int					m_iHeight;	
	
	LPD3DXSPRITE			m_d3dCursor;
	LPDIRECT3DDEVICE8		m_lpDevice;
	ITexture	*			m_lpTexture;	

	int				m_iPhase;
	int				m_iSpeed;
	int				m_nPhases;
	DWORD			m_dwOldTime;

	DWORD			m_dwRef;

public:
	virtual HRESULT		Create(LPCSTR csIntPath, int cx, int cy);
	virtual HRESULT		Create(LPCSTR csIntPath, int cx, int cy, int nSpeed, int iPhases);
	virtual HRESULT		Update(D3DXVECTOR2* ptCursor);

	// interface functions
	virtual HRESULT		AddRef();
	virtual HRESULT		Release();
public:
	XCursor();
	~XCursor();
};

